<?php
require'f_instant.php';
if($la=='')
{
$x1='';
$x2='';
$x3='';
}
else
{
$x1=' membru '.nume($la,1);
$x2='/la/'.$la.'-'.seo(nume($la,1));
$x3='WHERE`de`="'.$la.'"';
}
require'f_conectare.php';
conectare('mesaje instant'.$x1,'mesaje-instant'.$x2);
$head[1]='lista mesaje instant';
if($de==0)
{
$head[3]='<link rel="alternate" title="Sitemap mesaje instant XML'.$titlul.'" type="application/xml" href="/sitemap-mesaje-instant.xml" />';
if($la=='')
$head[3].='<link rel="canonical" href="'.$adresasite[0].'/mesaje-instant'.$x2.($page>1?'/pagina/'.$page:'').'" />';
}
$titlu='Mesaje instant'.$x1;
require'f_tabelare.php';
require'f_sus.php';
if($de>0)
require'f_nou.php';
echo$div[4].'Mesaje instant'.$x1.$div[5];
$elemente=$conn->query('SELECT COUNT(*)FROM`mesaje_instant`'.$x3)->fetch_row()[0];
if($elemente>0)
{
require'f_paginare1.php';
echo'<table'.$clasa_tabel.'>';
$items=$conn->query('SELECT`id`,`text`,`de`,`data`FROM`mesaje_instant`'.$x3.'ORDER BY`data`DESC LIMIT '.$limit_start.','.$pe_pagina);
require'f_data.php';
require'f_profil.php';
require'f_filtru.php';
while($item=$items->fetch_row())
{
$item[4]=mb_substr($item[1],0,15);
echo'<tr><td'.$clasa_kk.'><a href="/profil-membru/la/'.$item[2].'-'.seo(nume($item[2],1)).'">'.avatar($item[2]).'</a></td><td'.$clasa_k.'>'.$clasa_n.profil($item[2]).'<small> - '.data($item[3]).'</small>';
if($perm>0)
echo' <sterge><a href="/admin-sterge-mesaj-instant/id/'.$item[0].'-'.seo($item[4]).'"><img src="'.$domenii_statice[2].'sterge.png" alt="" width="16" height="16" /></a></sterge>';
echo$div[0].$clasa_normal.filtru($item[1]);
$res='';
$aprecieri=$conn->query('SELECT COUNT(*)FROM`mesaje_instant_aprecieri`WHERE`pid`="'.$item[0].'"&&`valoare`="1"')->fetch_row()[0];
$dezaprecieri=$conn->query('SELECT COUNT(*)FROM`mesaje_instant_aprecieri`WHERE`pid`="'.$item[0].'"&&`valoare`="2"')->fetch_row()[0];
$com=$conn->query('SELECT COUNT(*)FROM`mesaje_instant_comentarii`WHERE`pid`="'.$item[0].'"')->fetch_row()[0];
if($aprecieri>0)
$res.='<a href="/aprecieri-mesaj-instant/id/'.$item[0].'-'.seo($item[4]).'/tip/aprecieri">'.$aprecieri.'<img src="'.$domenii_statice[1].'apreciaza.png" alt="" width="16" height="16" /></a>';
if($aprecieri>0&&$dezaprecieri>0)
$res.='<strong> - </strong>';
if($dezaprecieri>0)
$res.='<a href="/aprecieri-mesaj-instant/id/'.$item[0].'-'.seo($item[4]).'/tip/dezaprecieri">'.$dezaprecieri.'<img src="'.$domenii_statice[2].'dezapreciaza.png" alt="" width="16" height="16" /></a>';
if($res!=''&&$com>0)
$res.='<strong> - </strong>';
if($com>0)
$res.='<a href="/comentarii-mesaj-instant/id/'.$item[0].'-'.seo($item[4]).'">com: '.$com.'</a>';
echo$res.$div[0].'</td></tr>';
}
echo'</table>';
require'f_paginare2.php';
}
else
echo$div[7].'Nu sunt mesaje instant adaugate'.($la!=''?' de către '.nume($la).',':'').'!'.$div[0];
echo$div[1].'<a href="/top-mesaje-instant">'.img('topuri.gif',2).'Top mesaje instant</a>'.$div[0];
require'f_jos.php';